#!/bin/sh

# TM1, TW2 : not configfs and have no ifname
# TW3 : configfs and ifname value is "rndis0"
# XU3 : configfs and ifname value is "usb0"
if [ -e /sys/kernel/config/usb_gadget/hal-gadget/functions/rndis.default/ifname ]
then
	IFNAME=`cat /sys/kernel/config/usb_gadget/hal-gadget/functions/rndis.default/ifname`
else
	IFNAME="usb0"
fi


if [ x$1 == "xstart" ]
then
	/sbin/ifconfig $IFNAME 192.168.129.3 up
	/sbin/route add -net 192.168.129.0 netmask 255.255.255.0 dev $IFNAME
else
	/sbin/route del -net 192.168.129.0 netmask 255.255.255.0 dev $IFNAME
	/sbin/ifconfig $IFNAME down
fi
